Name: sta
Summary: Simple statistics tool for the command line
License: MIT

%global git_date 20231130
%global git_commit 94559e3dfa97d415e3f37b1180b57c17c7222b4f

Version: 0^%{git_date}
Release: 1%{?dist}

URL: https://github.com/simonccarter/sta
Source0: %{URL}/archive/%{git_commit}/sta-%{git_commit}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc-c++
BuildRequires: make

%description
sta is a lightweight, fast tool for calculating basic descriptive statistics
from the command line. Inspired by "st", this project differs in that
it is written in C++, allowing for faster computation of statistics
given larger non-trivial data sets.

Additions include the choice of biased vs unbiased estimators
and the option to use the compensated variant algorithm.


%prep
%autosetup -n %{name}-%{git_commit}


%build
./autogen.sh
%configure
%make_build


%install
%make_install


%files
%doc README.md
%license LICENCE
%{_bindir}/%{name}


%changelog
* Thu Dec 19 2024 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0^20231130-1
- Initial packaging
